> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the run history for the specified job



## OpenAPI

````yaml /api-reference/4.2/service-jobs.json get /jobs/{resource}/history
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service jobs
servers:
  - url: /api/apollo/
security: []
tags:
  - name: jobs
paths:
  /jobs/{resource}/history:
    get:
      tags:
        - 4.2 Jobs API
      summary: Get the run history for the specified job
      operationId: listJobHistory
      parameters:
        - name: resource
          in: path
          description: The job ID
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: Return first N history items
          required: false
          schema:
            type: integer
            format: int32
            default: 100
      responses:
        '200':
          description: successful operation
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/JobRunView'
components:
  schemas:
    JobRunView:
      type: object
      properties:
        resource:
          $ref: '#/components/schemas/FusionResource'
        runId:
          type: string
          readOnly: true
        startTime:
          type: string
          format: date-time
          readOnly: true
        endTime:
          type: string
          format: date-time
          readOnly: true
        status:
          type: string
          readOnly: true
        error:
          $ref: '#/components/schemas/JobExecutionErrorView'
        extra:
          type: object
          readOnly: true
          additionalProperties:
            type: object
        startedBy:
          type: string
          readOnly: true
    FusionResource:
      type: object
      properties:
        type:
          type: string
          enum:
            - APPKIT_APP
            - WEBAPP_ADMIN_APP
            - APP
            - COLLECTION
            - INDEX_PIPELINE
            - INDEX_STAGE
            - QUERY_STAGE
            - QUERY_PIPELINE
            - INDEX_PROFILE
            - QUERY_PROFILE
            - BLOB
            - PARSER
            - DATASOURCE
            - TASK
            - SCHEDULE
            - SEARCH_CLUSTER
            - EXPERIMENT
            - SPARK_JOB
            - GROUP
            - CUSTOM_RULE_TYPE
            - TYPE
            - RESOURCE
            - 'NULL'
        id:
          type: string
        canonicalName:
          type: string
        uri:
          type: string
          format: uri
    JobExecutionErrorView:
      type: object
      properties:
        message:
          type: string
          readOnly: true
        detail:
          type: string
          readOnly: true

````